package cn.com.ctop.toutiao.modules.material.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface FirstDeliveryValidService {

    Result<Object> importExcelMaterials(MultipartFile file) throws Exception;

    Result<Object> importExcelRatio(MultipartFile file) throws Exception;

    Result<Object> projectData(String date, Integer pageSize, Integer pageNo);

    Result<Object> getTotalData(String date, Integer pageSize, Integer pageNo);

    List<JSONObject> getDataForProject(String year, String month);

    Result<Object> getDesignData(String date, Integer pageSize, Integer pageNo, Integer designRole);
    List<JSONObject> getDesignDataExport(String date,  Integer designRole);

    List<JSONObject> getDataForUserType(String year, String month, String userType);
}
